> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.upwardli.com/api-access/api-reference/partners/get-products-partner-product/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server. # Get Products Partner Product GET https://api.upwardli.com/v2/partners/{partner_id}/products/ Reference: https://developers.upwardli.com/api-access/api-reference/partners/get-products-partner-product ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Servers - `https://api.upwardli.com` (Production, default) - `https://api-sandbox.upwardli.com` (Sandbox) ## Request ### Path parameters - `partner_id` (string, required) ## Response ### 200 - `id` (string, required) - `key` (string, required) - `description` (PartnerProductDescription, required, nullable) - `options` (list of PartnerProductOptionsItems, required, nullable) - `product_type` (enum, optional) - Allowed values: `bill_reporting`, `cbaas`, `payment_card`, `wallet`, `product`, `subscription`, `service` - `image` (string, optional, nullable) - `buy_button_text` (string, optional, nullable) - `buy_button_link` (string, optional, nullable) - `locked` (boolean, optional, nullable) - `featured` (boolean, optional, nullable) - `category` (enum, optional) - Allowed values: `credit_services`, `coaching`, `gift_cards` - `free_trial_enabled` (boolean, optional, nullable) - `free_trial_duration` (long, optional, nullable) — Free trial duration In months ## Types ### PartnerProductDescription - `full_name` (string, required) - `features` (list of PartnerProductDescriptionFeaturesItems, required, nullable) - `cost_description` (string, optional, nullable) ### PartnerProductOptionsItems - `id` (integer, optional) - `cost` (double, optional) - `detail` (string, optional, nullable) - `stripe_price_id` (string, optional, nullable) - `stripe_session_token` (string, optional, nullable) ### PartnerProductDescriptionFeaturesItems - `header` (string, required) - `body` (string, required) ## Examples **Response** ```json { "id": "string", "key": "string", "description": { "full_name": "string", "features": [ { "header": "string", "body": "string" } ], "cost_description": "string" }, "options": [ { "id": 1, "cost": 1.1, "detail": "string", "stripe_price_id": "string", "stripe_session_token": "string" } ], "product_type": "bill_reporting", "image": "string", "buy_button_text": "string", "buy_button_link": "string", "locked": true, "featured": true, "category": "credit_services", "free_trial_enabled": true, "free_trial_duration": 1 } ``` **SDK Code** ```python import requests url = "https://api.upwardli.com/v2/partners/partner_id/products/" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.upwardli.com/v2/partners/partner_id/products/'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.upwardli.com/v2/partners/partner_id/products/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.upwardli.com/v2/partners/partner_id/products/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.upwardli.com/v2/partners/partner_id/products/") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.upwardli.com/v2/partners/partner_id/products/', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.upwardli.com/v2/partners/partner_id/products/"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/partners/partner_id/products/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```